KLA12240
Multiple vulnerabilities in Opera

Updated: 08/04/2021
Detect date
?
07/21/2021
Severity
?
High
Description

Multiple vulnerabilities were found in Opera. Malicious users can exploit these vulnerabilities to execute arbitrary code, cause denial of service.

Below is a complete list of vulnerabilities:

  1. Use after free vulnerability in WebSerial can be exploited to cause denial of service or execute arbitrary code.
  2. Heap buffer overflow vulnerability in WebXR can be exploited to cause denial of service.
  3. Type confusion vulnerabulity in V8 can be exploited to cause denial of service.
  4. Use after free vulnerability in Blink XSLT can be exploited to cause denial of service or execute arbitrary code.
  5. Use after free vulnerability in V8 can be exploited to cause denial of service or execute arbitrary code.
  6. Out of bounds write vulnerability in ANGLE can be exploited to cause denial of service or execute arbitrary code.
Exploitation

Malware exists for this vulnerability. Usually such malware is classified as Exploit. More details.

Affected products

Opera earlier than 77.0.4054.277

Solution

Update to the latest version
Download Opera

Original advisories

Changelog for Opera 77
Stable Channel Update for Desktop

Impacts
?
ACE 
[?]

DoS 
[?]
Related products
Opera
CVE-IDS
?
CVE-2021-305410.0Unknown
CVE-2021-305640.0Unknown
CVE-2021-305620.0Unknown
CVE-2021-305600.0Unknown
CVE-2021-305630.0Unknown
CVE-2021-305610.0Unknown
CVE-2021-305590.0Unknown
Find out the statistics of the vulnerabilities spreading in your region